# -*- coding: utf-8 -*-

#######################################################################
# Copyright © 2007-2009 Yuri Malheiros.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published
# the Free Software Foundation; version 2 only.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#######################################################################

"""
This module implements the trigger of "F5".
"""

import os
from TextFlow.core import constants

shortcut = unichr(65474) #F5
sticky = False

class Run(object):
    
    def __init__(self, document_manager):
        """
        Constructor.
        
        @param document_manager: Reference to the DocumentManager.
        @type document_manager: A DocumentManager object.
        """
        
        self.document_manager = document_manager
    
    def activate(self):
        """
        Execute the current python file.
        """
        view = self.document_manager.get_active_view()
        wait_program = os.path.join(constants.LANGUAGES_DIR,
        "python", "triggers", "runfiles", "wait.py")
        
        command = "xterm -e \"python \'" + view.file_uri + "\'; python \'" + wait_program +"\'\" &"
        
        os.system(command)        
        
        return True
    
